people/arne_f/ipfire-3.x.git
7 years agocracklib: Fix setting password issue on x86_64 (#10074). master
Michael Tremer [Fri, 6 Apr 2012 15:04:22 +0000 (17:04 +0200)]
cracklib: Fix setting password issue on x86_64 (#10074).

This was caused by a wrong path configuration.

Also moves libs to /usr and fixes a typo in the package description.

7 years agoiproute2: Update to 3.3.0.
Michael Tremer [Fri, 6 Apr 2012 15:02:52 +0000 (17:02 +0200)]
iproute2: Update to 3.3.0.

7 years agolinux-atm: Update to 2.5.1.
Michael Tremer [Fri, 6 Apr 2012 14:52:31 +0000 (16:52 +0200)]
linux-atm: Update to 2.5.1.

This update is required because of linking problems
on x86_64.

7 years agodracut: Update to 018.
Michael Tremer [Fri, 6 Apr 2012 12:28:33 +0000 (14:28 +0200)]
dracut: Update to 018.

7 years agoipfire-release: Add pakfire repository information.
Michael Tremer [Fri, 6 Apr 2012 12:12:17 +0000 (14:12 +0200)]
ipfire-release: Add pakfire repository information.

Also cleans up some of the code that creates the files
that are provided by this package. But no major changes.

7 years agoMerge remote-tracking branch 'stevee/authconfig'
Michael Tremer [Fri, 6 Apr 2012 12:09:28 +0000 (14:09 +0200)]
Merge remote-tracking branch 'stevee/authconfig'

7 years agoMerge remote-tracking branch 'stevee/perl-FCGI'
Michael Tremer [Fri, 6 Apr 2012 12:09:22 +0000 (14:09 +0200)]
Merge remote-tracking branch 'stevee/perl-FCGI'

7 years agoauthconfig: Update to 6.2.2.
Stefan Schantl [Sun, 1 Apr 2012 17:14:56 +0000 (19:14 +0200)]
authconfig: Update to 6.2.2.

7 years agoperl-FCGI: Requires perl(ExtUtils::ParseXS) to build.
Stefan Schantl [Thu, 5 Apr 2012 18:42:35 +0000 (20:42 +0200)]
perl-FCGI: Requires perl(ExtUtils::ParseXS) to build.

7 years agoglib2: Move libs to /usr.
Michael Tremer [Thu, 5 Apr 2012 18:07:46 +0000 (20:07 +0200)]
glib2: Move libs to /usr.

7 years agoaudit: Move libs and all others to /usr.
Michael Tremer [Thu, 5 Apr 2012 17:36:30 +0000 (19:36 +0200)]
audit: Move libs and all others to /usr.

7 years agokernel: Compile in virtio modules.
Michael Tremer [Thu, 5 Apr 2012 17:35:15 +0000 (19:35 +0200)]
kernel: Compile in virtio modules.

Basic virtio modules should be present without loading an extra
module. virtio_console and virtio_pci benefit a lot of an early
initialization.

However, it is not possible to compile them in on armv7hl-omap.

7 years agodbus: Move libs to /usr.
Michael Tremer [Thu, 5 Apr 2012 17:12:03 +0000 (19:12 +0200)]
dbus: Move libs to /usr.

7 years agolibcap: Move libs to /usr.
Michael Tremer [Wed, 4 Apr 2012 22:37:50 +0000 (00:37 +0200)]
libcap: Move libs to /usr.

7 years agobash: Does not need coreutils prior to installation.
Michael Tremer [Wed, 4 Apr 2012 22:29:25 +0000 (00:29 +0200)]
bash: Does not need coreutils prior to installation.

7 years agoattr: Move libs to /usr.
Michael Tremer [Tue, 3 Apr 2012 16:26:04 +0000 (18:26 +0200)]
attr: Move libs to /usr.

7 years agoreadline: Move libs to /usr.
Michael Tremer [Tue, 3 Apr 2012 15:37:50 +0000 (17:37 +0200)]
readline: Move libs to /usr.

7 years agoMerge remote-tracking branch 'ms/kernel-3.2'
Michael Tremer [Mon, 2 Apr 2012 00:40:45 +0000 (02:40 +0200)]
Merge remote-tracking branch 'ms/kernel-3.2'

7 years agokernel: Update to Linux 3.2.
Michael Tremer [Thu, 1 Mar 2012 18:10:03 +0000 (19:10 +0100)]
kernel: Update to Linux 3.2.

Introduce new way of creating configurations:

From now on, there are no configuration files as they come
out of "make oldconfig" for every single architecture and kernel
version.

There is now a system that creates those configurations
and so it is easier to track changes, see differences between
architectures and a lot more.

There are configuration files for armv5tel kernels but they
do not build because of problems with the grsecurity patchset.

7 years agozlib: Move libs to /usr.
Michael Tremer [Sun, 1 Apr 2012 22:37:10 +0000 (00:37 +0200)]
zlib: Move libs to /usr.

7 years agobash: Add requires patch.
Michael Tremer [Sun, 1 Apr 2012 20:04:04 +0000 (22:04 +0200)]
bash: Add requires patch.

Needed to track prerequires dependencies.

7 years agoudev: Fix installation of files on x86_64.
Michael Tremer [Sun, 1 Apr 2012 15:13:12 +0000 (17:13 +0200)]
udev: Fix installation of files on x86_64.

Since this version, x86_64 systems can boot properly.

7 years agoiptables: Update to 1.4.13.
Michael Tremer [Sun, 1 Apr 2012 15:04:27 +0000 (17:04 +0200)]
iptables: Update to 1.4.13.

7 years agoe2fsprogs: Update to 1.42.2.
Michael Tremer [Sun, 1 Apr 2012 15:02:04 +0000 (17:02 +0200)]
e2fsprogs: Update to 1.42.2.

7 years agocoreutils: Update to 8.16.
Michael Tremer [Sun, 1 Apr 2012 14:44:45 +0000 (16:44 +0200)]
coreutils: Update to 8.16.

7 years agobzip2: Add older soname of libbz2.so.
Michael Tremer [Sun, 1 Apr 2012 14:42:44 +0000 (16:42 +0200)]
bzip2: Add older soname of libbz2.so.

Older versions of the package provided libbz2.so.1.0 which is
now just libbz2.so.1. To overcome that the older version
was added manually on i686.

libbz2 was also moved to /usr.

7 years agoman-pages: Update to 3.38.
Michael Tremer [Sat, 31 Mar 2012 20:33:18 +0000 (22:33 +0200)]
man-pages: Update to 3.38.

Updates URL as well.

7 years agogawk: Update to 4.0.1.
Michael Tremer [Sat, 31 Mar 2012 19:31:39 +0000 (21:31 +0200)]
gawk: Update to 4.0.1.

This is just a bugfix release.

7 years agoapr-util: Fix typo in URL.
Michael Tremer [Sat, 31 Mar 2012 19:31:17 +0000 (21:31 +0200)]
apr-util: Fix typo in URL.

7 years agosystemd: Units package requires bash and coreutils for scriptlet.
Stefan Schantl [Sat, 31 Mar 2012 18:17:51 +0000 (20:17 +0200)]
systemd: Units package requires bash and coreutils for scriptlet.

/bin/sh and coreutils were missing so, the postin srciptlet of the
systemd-units package fails and the default units were not enabled correctly.

Also change download URL to new one.

Fixes #10033.

7 years agoMerge remote-tracking branch 'stevee/selinux-policy-utils'
Michael Tremer [Sat, 24 Mar 2012 12:08:49 +0000 (13:08 +0100)]
Merge remote-tracking branch 'stevee/selinux-policy-utils'

7 years agoMerge remote-tracking branch 'stevee/selinux-libs'
Michael Tremer [Sat, 24 Mar 2012 12:07:45 +0000 (13:07 +0100)]
Merge remote-tracking branch 'stevee/selinux-libs'

7 years agosetools: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 11:18:49 +0000 (12:18 +0100)]
setools: Make package work on x86_64.

Add bzip2-devel as build dependency.

7 years agosetools: New package.
Stefan Schantl [Sun, 18 Dec 2011 19:36:09 +0000 (20:36 +0100)]
setools: New package.

7 years agocheckpolicy: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 11:22:45 +0000 (12:22 +0100)]
checkpolicy: Make package work on x86_64.

7 years agocheckpolicy: Update to 2.1.8.
Stefan Schantl [Sun, 1 Jan 2012 11:15:01 +0000 (12:15 +0100)]
checkpolicy: Update to 2.1.8.

7 years agocheckpolicy: New package.
Stefan Schantl [Sat, 3 Dec 2011 21:18:59 +0000 (22:18 +0100)]
checkpolicy: New package.

7 years agopolicycoreutils: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 11:27:14 +0000 (12:27 +0100)]
policycoreutils: Make package work on x86_64.

7 years agopolicycoreutils: Add more runtime deps for python bindings.
Stefan Schantl [Sun, 18 Dec 2011 19:36:35 +0000 (20:36 +0100)]
policycoreutils: Add more runtime deps for python bindings.

7 years agopolicycoreutils: Various fixes and improvements.
Stefan Schantl [Sun, 18 Dec 2011 17:13:18 +0000 (18:13 +0100)]
policycoreutils: Various fixes and improvements.

* Add python-devel as build dep.
* Fix installation of semanage.

* Add systemd service file for restorecond.
* Add bash-completion file for semanage.

7 years agopolicycoreutils: New package.
Stefan Schantl [Sat, 3 Dec 2011 21:16:29 +0000 (22:16 +0100)]
policycoreutils: New package.

7 years agolibselinux: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 11:08:54 +0000 (12:08 +0100)]
libselinux: Make package work on x86_64.

Conflicts:

libselinux/libselinux.nm

7 years agolibselinux: Update to 2.1.9.
Stefan Schantl [Sun, 1 Jan 2012 11:01:34 +0000 (12:01 +0100)]
libselinux: Update to 2.1.9.

7 years agolibselinux: Update to 2.1.8.
Stefan Schantl [Sun, 18 Dec 2011 19:33:56 +0000 (20:33 +0100)]
libselinux: Update to 2.1.8.

Remove patch to link against shared object, because some tools doesn't work.

Conflicts:

libselinux/libselinux.nm

7 years agolibselinux: Add redhat patch.
Stefan Schantl [Mon, 28 Nov 2011 21:30:18 +0000 (22:30 +0100)]
libselinux: Add redhat patch.

7 years agolibselinux: Create package for python-bindings.
Stefan Schantl [Mon, 28 Nov 2011 21:29:41 +0000 (22:29 +0100)]
libselinux: Create package for python-bindings.

Conflicts:

libselinux/libselinux.nm

7 years agolibselinux: Update to 2.1.7.
Stefan Schantl [Sat, 19 Nov 2011 11:35:54 +0000 (12:35 +0100)]
libselinux: Update to 2.1.7.

Conflicts:

libselinux/libselinux.nm

7 years agolibsemanage: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 10:52:32 +0000 (11:52 +0100)]
libsemanage: Make package work on x86_64.

Requires libsepol-devel >= 2.1.4 to build.

7 years agolibsemanage: Fix package name for python bindings.
Stefan Schantl [Sat, 10 Dec 2011 14:57:02 +0000 (15:57 +0100)]
libsemanage: Fix package name for python bindings.

Conflicts:

libsemanage/libsemanage.nm

7 years agolibsemanage: Update to 2.1.5.
Stefan Schantl [Sat, 19 Nov 2011 11:46:58 +0000 (12:46 +0100)]
libsemanage: Update to 2.1.5.

7 years agolibsepol: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 10:07:17 +0000 (11:07 +0100)]
libsepol: Make package work on x86_64.

Conflicts:

libsepol/libsepol.nm

7 years agolibsepol: Add latest rhat patch.
Stefan Schantl [Sun, 1 Jan 2012 11:13:14 +0000 (12:13 +0100)]
libsepol: Add latest rhat patch.

7 years agolibsepol: Keep static libsepol.a, ship it as libsepol-static.
Stefan Schantl [Sat, 19 Nov 2011 13:38:26 +0000 (14:38 +0100)]
libsepol: Keep static libsepol.a, ship it as libsepol-static.

We need a static package, because some selinux tools, want to link against
the static library. The shared library doesn't offer all required functions ( they are hidden ) so the won't compile with it.

Conflicts:

libsepol/libsepol.nm

7 years agolibsepol: Update to 2.1.4.
Stefan Schantl [Sat, 19 Nov 2011 11:43:59 +0000 (12:43 +0100)]
libsepol: Update to 2.1.4.

Conflicts:

libsepol/libsepol.nm

7 years agopygpgme: New package.
Michael Tremer [Fri, 23 Mar 2012 12:53:22 +0000 (13:53 +0100)]
pygpgme: New package.

This is a python module which makes libgpgme usable with python.

7 years agogpgme: New package.
Michael Tremer [Fri, 23 Mar 2012 12:52:24 +0000 (13:52 +0100)]
gpgme: New package.

This is a high-level crypto library which provides and easy
to use interface to deal with PGP messages.

7 years agopakfire: Update to 0.9.21.
Michael Tremer [Fri, 23 Mar 2012 12:20:17 +0000 (13:20 +0100)]
pakfire: Update to 0.9.21.

7 years agomc: Update to 4.8.2.
Michael Tremer [Fri, 23 Mar 2012 10:41:22 +0000 (11:41 +0100)]
mc: Update to 4.8.2.

7 years agogcc: Move libgcc_s* to /usr/lib.
Michael Tremer [Thu, 22 Mar 2012 11:11:28 +0000 (12:11 +0100)]
gcc: Move libgcc_s* to /usr/lib.

7 years agoudev: Update to version 182.
Michael Tremer [Wed, 21 Mar 2012 23:05:52 +0000 (00:05 +0100)]
udev: Update to version 182.

7 years agokmod: Update to version 7.
Michael Tremer [Wed, 21 Mar 2012 23:03:20 +0000 (00:03 +0100)]
kmod: Update to version 7.

Comes with minor bugfixes and improvements on the build
system.

7 years agodracut: Update to 017.
Michael Tremer [Sun, 18 Mar 2012 21:55:33 +0000 (22:55 +0100)]
dracut: Update to 017.

7 years agoMerge remote-tracking branch 'stevee/libatasmart'
Michael Tremer [Sun, 18 Mar 2012 21:12:08 +0000 (22:12 +0100)]
Merge remote-tracking branch 'stevee/libatasmart'

7 years agolibatasmart: Update to 0.18.
Stefan Schantl [Sun, 18 Mar 2012 20:38:04 +0000 (21:38 +0100)]
libatasmart: Update to 0.18.

Fixes build error on every arch.

7 years agopakfire: Add patch from upstream to fix pkgconfig dependencies.
Michael Tremer [Sun, 18 Mar 2012 10:35:57 +0000 (11:35 +0100)]
pakfire: Add patch from upstream to fix pkgconfig dependencies.

pkgconfig was added to the provides list instead of the requires
list when a .pc file was in the package.

7 years agoudev: Add scriptlets.
Michael Tremer [Sun, 18 Mar 2012 10:34:05 +0000 (11:34 +0100)]
udev: Add scriptlets.

These scriptlets create required system user accounts and
restart udev when an update is done.

7 years agoMerge branch 'master' of ssh://git.ipfire.org/pub/git/ipfire-3.x
Michael Tremer [Sun, 18 Mar 2012 10:33:51 +0000 (11:33 +0100)]
Merge branch 'master' of ssh://git.ipfire.org/pub/git/ipfire-3.x

7 years agoexpat: Move libs to /usr.
Michael Tremer [Sun, 18 Mar 2012 10:33:22 +0000 (11:33 +0100)]
expat: Move libs to /usr.

Also cleans up the make file a little bit.

7 years agoopenssl: Update to 1.0.1.
Michael Tremer [Sun, 18 Mar 2012 10:25:07 +0000 (11:25 +0100)]
openssl: Update to 1.0.1.

Comes with support for FIPS.

7 years agoMerge remote-tracking branch 'stevee/isdn4k-utils'
Michael Tremer [Sun, 18 Mar 2012 09:55:36 +0000 (10:55 +0100)]
Merge remote-tracking branch 'stevee/isdn4k-utils'

7 years agoMerge remote-tracking branch 'stevee/docbook-dtds'
Michael Tremer [Sun, 18 Mar 2012 09:54:43 +0000 (10:54 +0100)]
Merge remote-tracking branch 'stevee/docbook-dtds'

7 years agoMerge remote-tracking branch 'stevee/audit'
Michael Tremer [Sun, 18 Mar 2012 09:54:21 +0000 (10:54 +0100)]
Merge remote-tracking branch 'stevee/audit'

7 years agoMerge remote-tracking branch 'stevee/ImageMagic'
Michael Tremer [Sun, 18 Mar 2012 09:54:07 +0000 (10:54 +0100)]
Merge remote-tracking branch 'stevee/ImageMagic'

7 years agomesa: Add WMB patch to build mesa on ARM.
Michael Tremer [Sun, 18 Mar 2012 06:53:49 +0000 (07:53 +0100)]
mesa: Add WMB patch to build mesa on ARM.

7 years agoImageMagic: Update to 6.7.0-0.
Stefan Schantl [Sat, 17 Mar 2012 18:30:05 +0000 (19:30 +0100)]
ImageMagic: Update to 6.7.0-0.

This also fixes the build error on x86_64.

7 years agoisdn4k-utils: Make package work on x86_64.
Stefan Schantl [Sat, 17 Mar 2012 17:42:40 +0000 (18:42 +0100)]
isdn4k-utils: Make package work on x86_64.

7 years agoaudit: Update to 2.2.
Stefan Schantl [Sat, 17 Mar 2012 14:55:31 +0000 (15:55 +0100)]
audit: Update to 2.2.

Fixes #10066.

7 years agodocbook-dtds: Also prerequires sed and coreutils for scriptlet.
Stefan Schantl [Sat, 17 Mar 2012 12:20:24 +0000 (13:20 +0100)]
docbook-dtds: Also prerequires sed and coreutils for scriptlet.

7 years agoxcb-proto: Fix invalid location fo .pc files.
Stefan Schantl [Sat, 17 Mar 2012 12:02:42 +0000 (13:02 +0100)]
xcb-proto: Fix invalid location fo .pc files.

7 years agoman-db: Update to 2.6.1.
Michael Tremer [Wed, 14 Mar 2012 15:25:26 +0000 (16:25 +0100)]
man-db: Update to 2.6.1.

7 years agoMerge remote-tracking branch 'stevee/openldap'
Michael Tremer [Mon, 12 Mar 2012 09:13:50 +0000 (10:13 +0100)]
Merge remote-tracking branch 'stevee/openldap'

7 years agosyslinux: This package is only supported on x86 architectures.
Michael Tremer [Mon, 12 Mar 2012 09:08:31 +0000 (10:08 +0100)]
syslinux: This package is only supported on x86 architectures.

7 years agoopenssh: Some bigger changes.
Michael Tremer [Sun, 11 Mar 2012 23:22:18 +0000 (00:22 +0100)]
openssh: Some bigger changes.

Adopts systemd files from Fedora and cleans up a lot
in the makefile.

7 years agogrubby: Update to version 8.9.
Michael Tremer [Sun, 11 Mar 2012 22:42:07 +0000 (23:42 +0100)]
grubby: Update to version 8.9.

Fixes #10059, #10062.

7 years agosamba: Make package compile on x86_64.
Michael Tremer [Sun, 11 Mar 2012 22:41:39 +0000 (23:41 +0100)]
samba: Make package compile on x86_64.

7 years agoopenldap: Update to 2.4.30.
Stefan Schantl [Sun, 11 Mar 2012 19:30:32 +0000 (20:30 +0100)]
openldap: Update to 2.4.30.

7 years agopakfire: Add two more patches.
Michael Tremer [Sun, 11 Mar 2012 18:56:05 +0000 (19:56 +0100)]
pakfire: Add two more patches.

One of them fixes wrong detection of python-abi (kernel) and
the other one fixes again false detections of the libs-location check.

7 years agortorrent: Update to 0.8.9.
Michael Tremer [Sun, 11 Mar 2012 17:27:13 +0000 (18:27 +0100)]
rtorrent: Update to 0.8.9.

7 years agolibtorrent: Update to 0.12.9.
Michael Tremer [Sun, 11 Mar 2012 17:24:54 +0000 (18:24 +0100)]
libtorrent: Update to 0.12.9.

Fixes a build issue with the older version.

7 years agocompat-db: Fix installation issue.
Michael Tremer [Sun, 11 Mar 2012 16:53:08 +0000 (17:53 +0100)]
compat-db: Fix installation issue.

Package compat-db46 could not be installed because of
unmet dependencies (#10060).

7 years agognupg2: Fix wrong name field.
Michael Tremer [Sun, 11 Mar 2012 14:20:05 +0000 (15:20 +0100)]
gnupg2: Fix wrong name field.

7 years agopakfire: Add patch that fixes the libs-location check.
Michael Tremer [Sun, 11 Mar 2012 14:19:08 +0000 (15:19 +0100)]
pakfire: Add patch that fixes the libs-location check.

Find searched too deep in the filesystem for .so files.

7 years agostrongswan: Build padlock plugin only on i686.
Michael Tremer [Sun, 11 Mar 2012 14:17:20 +0000 (15:17 +0100)]
strongswan: Build padlock plugin only on i686.

All other architectures do not support this chipset.

7 years agoebtables: Make package work on x86_64.
Stefan Schantl [Sun, 11 Mar 2012 10:51:06 +0000 (11:51 +0100)]
ebtables: Make package work on x86_64.

7 years agoperl-Digest-SHA1: Add missing build dependency perl-ExtUtils-ParseXS.
Michael Tremer [Sun, 11 Mar 2012 10:02:35 +0000 (11:02 +0100)]
perl-Digest-SHA1: Add missing build dependency perl-ExtUtils-ParseXS.

7 years agoopenl2tp: Fix build by removing -Werror and fixing installation of plugins.
Michael Tremer [Sun, 11 Mar 2012 09:53:53 +0000 (10:53 +0100)]
openl2tp: Fix build by removing -Werror and fixing installation of plugins.

7 years agoMerge remote-tracking branch 'stevee/acl'
Michael Tremer [Sat, 10 Mar 2012 21:18:56 +0000 (22:18 +0100)]
Merge remote-tracking branch 'stevee/acl'

7 years agoacl: Update to 2.2.51.
Stefan Schantl [Sat, 10 Mar 2012 17:35:21 +0000 (18:35 +0100)]
acl: Update to 2.2.51.

* Move to new download URL
* Enable testsuite

7 years agoMerge remote-tracking branch 'stevee/qtermwidget'
Michael Tremer [Sat, 10 Mar 2012 21:05:32 +0000 (22:05 +0100)]
Merge remote-tracking branch 'stevee/qtermwidget'

7 years agoqtermwidget: Make package work on x86_64.
Stefan Schantl [Sat, 10 Mar 2012 18:43:44 +0000 (19:43 +0100)]
qtermwidget: Make package work on x86_64.